Skip to content

List Idea Statuses

Ideas

Fetches a paginated list of idea statuses sorted by creation date in descending order

GET
/ideas/ideaStatuses

Parameters

Query Parameters

page

Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results

Type
integer
Default
1
Minimum
1
pageSize

Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results

Type
integer
Default
25
Maximum
100
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"result": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"backgroundColor": "string",
  
  
  
"textColor": "string",
  
  
  
"default": true,
  
  
  
"visible": true,
  
  
  
"type": "string",
  
  
  
"displayOrder": 0
  
  
}
  
]
}

Samples

Gainsight CC Developer Portal